BEGIN;

--
-- Update the raeumliche_zustaendigkeit Table (Issue 3284)
--
-- Disable trigger so the last accessed time is not changed
ALTER TABLE master_tbl DISABLE TRIGGER USER;

SET ROLE :db_adm;

-- History
INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('1.3.1/01_raeuml_zustaendigkeit.sql', current_timestamp);

ALTER TABLE raeumliche_zustaendigkeit_tbl ALTER COLUMN value TYPE VARCHAR(56);
INSERT INTO raeumliche_zustaendigkeit_tbl (id, value) VALUES (7, 'Ein Bundesland bzw. Stadtstaat');

UPDATE raeumliche_zustaendigkeit_tbl SET value = 'mehrere Gemeinden oder Städte eines Landkreises' WHERE id = 2;
UPDATE raeumliche_zustaendigkeit_tbl SET value = 'eine Gemeinde oder Stadt' WHERE id = 3;
UPDATE raeumliche_zustaendigkeit_tbl SET value = 'Ein oder mehrere Stadtteile einer Stadt bzw. Stadtstaat' WHERE id = 4;

UPDATE master_tbl SET raeumliche_zustaendigkeit = 4 WHERE raeumliche_zustaendigkeit=5;

DELETE FROM raeumliche_zustaendigkeit_tbl WHERE id = 5;

-- Reactivate the role
SET ROLE postgres;
-- Reactivate the triggers
ALTER TABLE master_tbl ENABLE TRIGGER USER;

COMMIT;
