-- Add jmd_delete_struktur_nutzer function.
--
-- This function was lost in the upgrade scripts when the database
-- management was switched to the script-refactor branch of db-admin.
-- See mpuls/issue5651

-- Remove a user from the ka_benutzer_tbl
CREATE OR REPLACE FUNCTION jmd_delete_struktur_nutzer (
    user_id       integer
    ) RETURNS VOID
    LANGUAGE 'plpgsql' VOLATILE SECURITY DEFINER
    AS $$
BEGIN
    DELETE FROM ka_benutzer_tbl WHERE id = user_id;
END;
$$ ;

REVOKE ALL ON FUNCTION jmd_delete_struktur_nutzer(integer) FROM PUBLIC;
GRANT EXECUTE ON FUNCTION jmd_delete_struktur_nutzer(integer) TO GROUP :admin_group;
