-- Log how many cases were deleted
-- See mpuls/issue6711

CREATE TABLE case_deletions_tbl (
    id           SERIAL NOT NULL,
    deleted_at   TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    count        INTEGER NOT NULL,

    CONSTRAINT case_deletions_tbl_pkey PRIMARY KEY (id)
);


-- Grant access to the admins. Only they need to be able to use the table
GRANT SELECT ON case_deletions_tbl TO GROUP :admin_group;
GRANT INSERT ON case_deletions_tbl TO GROUP :admin_group;

GRANT USAGE ON case_deletions_tbl_id_seq TO GROUP :admin_group;
