## -*- coding: utf-8 -*-
<%!  import mpulsweb.lib.helper.filters as F %>
<%!  from datetime import datetime %>
<div class="repair">
  <table id="secondchild" class="table table-condensed appointment">
   <thead>
    <tr>
      <th class="date table_header_h">${_('Date')}</th>
      <th class="title table_header_h">${_('Description')}</th>
      <th class="action table_header_h">${_('Actions')}</th>
    </tr>
   </thead>
    % for appointment in c.remindlist.getDatasets():
    <tr>
      <td class="date">${h.dd_mm_YYYY(datetime.now())}</td>
      <td class="title">${appointment.title | F.NA}</td>
      <td class="action">
       % if appointment.case_id is not None:
        ${self.showAppointmentActions(appointment)}
       % endif
       % if h.hasRole(['cm']) and not h.tag_appointment:
        ${self.showKeepActiveActions(appointment)}
      % endif
      </td>
    </tr>
    <tr>
      <td colspan="3" class="description">
          ${appointment.description}
          % if not h.tag_appointment:
              ${h.dd_mm_YYYY(appointment.getStartDate()) | F.NA} bis
              ${h.dd_mm_YYYY(appointment.getEndDate()) | F.NA}
          % endif
      </td>
    </tr>
    % endfor
    % if len(c.remindlist.getDatasets()) <= 0:
    <tr>
      <td colspan="3">Keine Wiedervorlagen gefunden</td>
    </tr>
    % endif
  </table>

<%def name="showAppointmentActions(appointment)">
## Default function
</%def>
<%def name="showKeepActiveActions(appointment)">
## Default function
</%def>
