## -*- coding: utf-8 -*-
<%inherit file="/casemanagement/main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">${_('Selected case documents')}</a></li>
  <li><a href="${h.url(controller='privacy', action='listStatements')}">${_('List statements')}</a></li>
</%def>
<h1>${_('Avaliable statements')}</h1>
<div class="widget container">
<h2>${_('Acceptance')}</h2>
<p> ${_('German')}:
  <a href="${h.url(controller='privacy', action='printStatement', id=session.get('case').id)}" target="_blank">
    ${_('Print acceptance')}
  </a>
</p>
<p>
<%include file="static_statements.mako" />
</p>
<h2>Weitere</h2>
<div class="widget container">
<h3>Schweigepflichtsentbindung von Dritten gegenüber der Einrichtung</h3>
<p>
Erklärung zur Schweigepflichtsentbindung von Vertrauenspersonen mit Schweigepflicht gemäß § 203 StGB gegenüber der Einrichtung.
</p>
<p>
  <a href="${h.url(controller='privacy', action='printDiscretionStatement', id=session.get('case').id)}"  target="_blank">Schweigepflichtsentbindung drucken</a>
</p>
</div>



</div>
