#!/bin/sh
set -e

#!/bin/sh
set -x
echo START `date +'%Y-%m-%d %H:%M:%S'`
TYPE=jmd
DBHOST=localhost
DBPORT=5435,5434,5433,5432
EXPORTCOMMAND=/home/mpuls/${TYPE}/transfer-struktur/export-sqlite.py
DATADIR=/home/mpuls/${TYPE}/transfer-struktur/data/bund
UPLOADDIR=incoming
TEMPLATEDIR=/home/mpuls/${TYPE}/transfer-struktur
TEMPLATEDB=$TEMPLATEDIR/template-bund.db

DATE=`date +"%Y-%m-%d"`
EXPORTFILE=$DATADIR/${TYPE}-$DATE.db
cp $TEMPLATEDB $EXPORTFILE
chmod 666 $EXPORTFILE
echo "Exporting databases"
sudo -u postgres $EXPORTCOMMAND -o $EXPORTFILE -p ${DBPORT}
bzip2 $EXPORTFILE
chmod 666 $EXPORTFILE.bz2
echo END `date +'%Y-%m-%d %H:%M:%S'`
