from formed.meta.conditionals import FormInfo


class ExportFormInfoJS(object):

    def __init__(self, document):
        self.document = document

    @staticmethod
    def getDescription():
        return "Export a JavaScript file with information about the form."

    def doExport(self, path):
        form_info = FormInfo(self.document)
        with open(path, "w") as f:
            f.write(form_info.as_js())


