## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
        ${parent.buildNavipath()}
    <li><a href="${h.url(controller='administration', action='index')}">${_('Administration')}</a></li>
    <li><a href="${h.url(controller='administration', action='overviewUser')}">${_('User overview')}</a></li>
    <li><a href="${h.url(controller='administration', action='newUser')}">${_('Create new user')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('User data of the new created user')}
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('User data of the new created user')}
  </div>
  <div id="modusfield">
    <div class="actions">
    <ul>
        <li><a href="${h.url(controller='administration', action='overviewUser')}"> ${_('Back to: User overview')}</a></li>
    </ul>
    </div>
  </div>
</div>
<h2>${_('Information about personal')}</h2>
<p>${_('Please give login name and password to the user.')}</p>
<table>
  <tr>
    <td class="label table_header_v table_width_long">${_('Forename')}</td>
    <td class="table_row_v table_description">${c.uo.first_name| F.NA}</td>
  </tr>
  <tr>
    <td class="label">${_('Name')}</td>
    <td class="table_row_v_2">${c.uo.last_name| F.NA}</td>
  </tr>
  <tr>
    <td class="label table_header_v">${_('Phone')}</td>
    <td class="table_row_v table_description">${c.uo.telephone| F.NA}</td>
  </tr>
  <tr>
    <td class="label">${_('Roomnumber')}</td>
    <td class="table_row_v_2">${c.uo.room| F.NA}</td>
  </tr>
  <tr>
    <td class="label table_header_v table_width_long">${_('Institution')}</td>
    <td class="table_row_v table_description">${c.uo.branchoffice| F.NA}</td>
  </tr>
</table>
<h2>${_('Information about login')}</h2>
<table>
  <tr>
    <td class="label table_header_v table_width_long">${_('Login')}</td>
    <td class="table_row_v table_description"><span id="newpassword">${c.uo.getLogin()| F.NA}</span></td>
  </tr>
  <tr>
    <td class="label">${_('Password')}</td>
  <td class="table_row_v_2"><span id="newpassword">${c.user_password}</span></td>
  </tr>
  <tr>
    <td class="label table_header_v">${_('Role')}</td>
    <td class="table_row_v table_description">${c.uo.getRole()| F.NA}</td>
  </tr>
  <tr>
    <td class="label">${_('Activated')}</td>
    <td class="table_row_v_2">
      % if c.uo.isActivated():
        ${_('Yes')}
      % else:
        ${_('No')}
      % endif
    </td>
  </tr>
  <tr>
    <td class="label table_header_v table_width_long">${_('Ask for password at login')}</td>
    <td class="table_row_v table_description">
      % if c.uo.needsNewPass():
        ${_('Yes')}
      % else:
        ${_('No')}
      % endif
    </td>
  </tr>
</table>
