## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='document', action='globalOverview')}">${_('Document overview')}</a></li>
  <li><a href="${h.url(controller='document', action='globalUpload')}">${_('Add document')}</a></li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Rename document')}
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('Rename document')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li>
          <a href="${h.url(controller='document', action='globalOverview')}">
            ${_('Back to: Attachment overview')}
          </a>
        </li>
      </ul>
    </div>
  </div>
</div>

<p class="import_p">
${h.form(h.url(controller="document", action='globalRenameAction', id= c.id),
  multipart=True)}
${h.csrf_token()}
<div class="widget container">
  <table class="form">
    <colgroup>
      <col width="20%">
      <col width="60%">
      <col width="20%">
    </colgroup>
    <tr>
      <td class="label">
        <label for="name">${_('Filename')}</label></td>
      <td class="">
        <input type="text" name="name" id="name" value="${c.name}"><br>
      </td>
      <td class=""><span class="error"><form:error name="name"></span></td>
    </tr>
    % if g.mpuls_config.is_enabled("module", "documents-description"):
    <tr>
    <td class="label">
        <label for="description">${_('Description')}</label></td>
      <td class="">
        <input type="text" name="description" id="description" style="width: auto;" value="${c.description}"><br>
      </td>
      <td class=""><span class="error"><form:error name="description"></span></td>
    </tr>
    % endif
    <tr>
      <td class=""></td>
      <td colspan="2">
        ${h.hidden('id', value=c.id)}
        <input id="upload" class="button" type="submit" name="upload" value="${_('Submit')}">
      </td>
    </tr>
  </table>
</div>
${h.end_form()}
