# -*- coding: utf-8 -*-
#
# Copyright (c) 2007 - 2011, 2013 by Intevation GmbH
#
# FormEd is free software under the terms of the
# GNU General Public License Version 3. See file
# LICENSE coming with the source of FormEd for details.
#
# Authors:
# Torsten Irlaender   <torsten.irlaender@intevation.de>
# Sascha L. Teichmann <teichmann@intevation.de>
# Frank Koormann      <frank.koormann@intevation.de>
# Björn Ricks         <bjoern.ricks@intevation.de>
# Roland Geider       <roland.geider@intevation.de>
#


from formed.export.sql import ExportAsSQL

class ExportCreateViews(ExportAsSQL):

    def doExport(self, path):
        ExportAsSQL.doExport(self, path, just_views=True,
                             write_eval_total_view=True,
                             transaction=False)

# vim:set ts=4 sw=4 si et sta sts=4:
